Xerces2 Implementation: Class DOMNormalizer.XMLAttributesProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMNormalizer.XMLAttributesProxy

    java.lang.Object
      |
      +--org.apache.xerces.dom.DOMNormalizer.XMLAttributesProxy

All Implemented Interfaces:
  org.apache.xerces.xni.XMLAttributes

Enclosing class:
  DOMNormalizer

protected final class DOMNormalizer.XMLAttributesProxy
extends java.lang.Object
implements org.apache.xerces.xni.XMLAttributes

Field Summary
`protected AttributeMap` | `fAttributes`
`protected java.util.Vector` | `fAugmentations`
`protected CoreDocumentImpl` | `fDocument`
`protected java.util.Vector` | `fDTDTypes`
`protected ElementImpl` | `fElement`

Constructor Summary
`protected` | `DOMNormalizer.XMLAttributesProxy()`

Method Summary
`int` | `addAttribute(org.apache.xerces.xni.QName qname, java.lang.String attrType, java.lang.String attrValue)` This method adds default declarations
`org.apache.xerces.xni.Augmentations` | `getAugmentations(int attributeIndex)` Look up an augmentation by attribute's index.
`org.apache.xerces.xni.Augmentations` | `getAugmentations(java.lang.String qName)` Look up an augmentation by XML 1.0 qualified name.
`org.apache.xerces.xni.Augmentations` | `getAugmentations(java.lang.String uri, java.lang.String localPart)` Look up an augmentation by namespace name.
`int` | `getIndex(java.lang.String qName)` Look up the index of an attribute by XML 1.0 qualified name.
`int` | `getIndex(java.lang.String uri, java.lang.String localPart)` Look up the index of an attribute by Namespace name.
`int` | `getLength()` Returns the number of attributes in the list.
`java.lang.String` | `getLocalName(int index)` Look up an attribute's local name by index.
`void` | `getName(int attrIndex, org.apache.xerces.xni.QName attrName)` Sets the fields in the given QName structure with the values of the attribute name at the specified index.
`java.lang.String` | `getNonNormalizedValue(int attrIndex)` Returns the non-normalized value of the attribute at the specified index.
`java.lang.String` | `getPrefix(int index)` Returns the prefix of the attribute at the specified index.
`java.lang.String` | `getQName(int index)` Look up an attribute's XML 1.0 qualified name by index.
`java.lang.String` | `getType(int index)` Look up an attribute's type by index.
`java.lang.String` | `getType(java.lang.String qName)` Look up an attribute's type by XML 1.0 qualified name.
`java.lang.String` | `getType(java.lang.String uri, java.lang.String localName)` Look up an attribute's type by Namespace name.
`java.lang.String` | `getURI(int index)` Look up an attribute's Namespace URI by index.
`java.lang.String` | `getValue(int index)` Look up an attribute's value by index.
`java.lang.String` | `getValue(java.lang.String qName)` Look up an attribute's value by XML 1.0 qualified name.
`java.lang.String` | `getValue(java.lang.String uri, java.lang.String localName)` Look up an attribute's value by Namespace name.
`boolean` | `isSpecified(int attrIndex)` Returns true if the attribute is specified in the instance document.
`void` | `removeAllAttributes()` Removes all of the attributes.
`void` | `removeAttributeAt(int attrIndex)` Removes the attribute at the specified index.
`void` | `setAttributes(AttributeMap attributes, CoreDocumentImpl doc, ElementImpl elem)`
`void` | `setAugmentations(int attrIndex, org.apache.xerces.xni.Augmentations augs)` Sets the augmentations of the attribute at the specified index.
`void` | `setName(int attrIndex, org.apache.xerces.xni.QName attrName)` Sets the name of the attribute at the specified index.
`void` | `setNonNormalizedValue(int attrIndex, java.lang.String attrValue)` Sets the non-normalized value of the attribute at the specified index.
`void` | `setSpecified(int attrIndex, boolean specified)` Sets whether an attribute is specified in the instance document or not.
`void` | `setType(int attrIndex, java.lang.String attrType)` Sets the type of the attribute at the specified index.
`void` | `setValue(int attrIndex, java.lang.String attrValue)` Sets the value of the attribute at the specified index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fAttributes

    protected AttributeMap fAttributes

### fDocument

    protected CoreDocumentImpl fDocument

### fElement

    protected ElementImpl fElement

### fDTDTypes

    protected final java.util.Vector fDTDTypes

### fAugmentations

    protected final java.util.Vector fAugmentations

Constructor Detail

### DOMNormalizer.XMLAttributesProxy

    protected DOMNormalizer.XMLAttributesProxy()

Method Detail

### setAttributes

    public void setAttributes(AttributeMap attributes,
                              CoreDocumentImpl doc,
                              ElementImpl elem)

### addAttribute

    public int addAttribute(org.apache.xerces.xni.QName qname,
                            java.lang.String attrType,
                            java.lang.String attrValue)

  This method adds default declarations
  Specified by:
    `addAttribute` in interface `org.apache.xerces.xni.XMLAttributes`
  See Also:
    `XMLAttributes.addAttribute(QName, String, String)`

### removeAllAttributes

    public void removeAllAttributes()

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Removes all of the attributes. This method will also remove all entities associated to the attributes.
  Specified by:
    `removeAllAttributes` in interface `org.apache.xerces.xni.XMLAttributes`

### removeAttributeAt

    public void removeAttributeAt(int attrIndex)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Removes the attribute at the specified index.

  Note: This operation changes the indexes of all attributes following the attribute at the specified index.

  Specified by:
    `removeAttributeAt` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.

### getLength

    public int getLength()

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Returns the number of attributes in the list.

  Once you know the number of attributes, you can iterate through the list.

  Specified by:
    `getLength` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  See Also:
    `XMLAttributes.getURI(int)`, `XMLAttributes.getLocalName(int)`, `XMLAttributes.getQName(int)`, `XMLAttributes.getType(int)`, `XMLAttributes.getValue(int)`

### getIndex

    public int getIndex(java.lang.String qName)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up the index of an attribute by XML 1.0 qualified name.
  Specified by:
    `getIndex` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `qName` - The qualified (prefixed) name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

### getIndex

    public int getIndex(java.lang.String uri,
                        java.lang.String localPart)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up the index of an attribute by Namespace name.
  Specified by:
    `getIndex` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `uri` - The Namespace URI, or the empty string if the name has no Namespace URI.
    `localPart` - The attribute's local name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

### setName

    public void setName(int attrIndex,
                        org.apache.xerces.xni.QName attrName)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Sets the name of the attribute at the specified index.
  Specified by:
    `setName` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `attrName` - The new attribute name.

### getName

    public void getName(int attrIndex,
                        org.apache.xerces.xni.QName attrName)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Sets the fields in the given QName structure with the values of the attribute name at the specified index.
  Specified by:
    `getName` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `attrName` - The attribute name structure to fill in.

### getPrefix

    public java.lang.String getPrefix(int index)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Returns the prefix of the attribute at the specified index.
  Specified by:
    `getPrefix` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `index` - The index of the attribute.

### getURI

    public java.lang.String getURI(int index)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an attribute's Namespace URI by index.
  Specified by:
    `getURI` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The Namespace URI, or the empty string if none is available, or null if the index is out of range.
  See Also:
    `XMLAttributes.getLength()`

### getLocalName

    public java.lang.String getLocalName(int index)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an attribute's local name by index.
  Specified by:
    `getLocalName` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The local name, or the empty string if Namespace processing is not being performed, or null if the index is out of range.
  See Also:
    `XMLAttributes.getLength()`

### getQName

    public java.lang.String getQName(int index)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an attribute's XML 1.0 qualified name by index.
  Specified by:
    `getQName` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The XML 1.0 qualified name, or the empty string if none is available, or null if the index is out of range.
  See Also:
    `XMLAttributes.getLength()`

### setType

    public void setType(int attrIndex,
                        java.lang.String attrType)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Sets the type of the attribute at the specified index.
  Specified by:
    `setType` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `attrType` - The attribute type. The type name is determined by the type specified for this attribute in the DTD. For example: "CDATA", "ID", "NMTOKEN", etc. However, attributes of type enumeration will have the type value specified as the pipe ('|') separated list of the enumeration values prefixed by an open parenthesis and suffixed by a close parenthesis. For example: "(true|false)".

### getType

    public java.lang.String getType(int index)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an attribute's type by index.

  The attribute type is one of the strings "CDATA", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", "ENTITY", "ENTITIES", or "NOTATION" (always in upper case).

  If the parser has not read a declaration for the attribute, or if the parser does not report attribute types, then it must return the value "CDATA" as stated in the XML 1.0 Recommendation (clause 3.3.3, "Attribute-Value Normalization").

  For an enumerated attribute that is not a notation, the parser will report the type as "NMTOKEN".

  Specified by:
    `getType` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The attribute's type as a string, or null if the index is out of range.
  See Also:
    `XMLAttributes.getLength()`

### getType

    public java.lang.String getType(java.lang.String qName)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an attribute's type by XML 1.0 qualified name.

  See `getType(int)` for a description of the possible types.

  Specified by:
    `getType` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `qName` - The XML 1.0 qualified name.
  Returns:
    The attribute type as a string, or null if the attribute is not in the list or if qualified names are not available.

### getType

    public java.lang.String getType(java.lang.String uri,
                                    java.lang.String localName)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an attribute's type by Namespace name.

  See `getType(int)` for a description of the possible types.

  Specified by:
    `getType` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `uri` - The Namespace URI, or the empty String if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute type as a string, or null if the attribute is not in the list or if Namespace processing is not being performed.

### setValue

    public void setValue(int attrIndex,
                         java.lang.String attrValue)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Sets the value of the attribute at the specified index. This method will overwrite the non-normalized value of the attribute.
  Specified by:
    `setValue` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `attrValue` - The new attribute value.
  See Also:
    `XMLAttributes.setNonNormalizedValue(int, java.lang.String)`

### getValue

    public java.lang.String getValue(int index)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an attribute's value by index.

  If the attribute value is a list of tokens (IDREFS, ENTITIES, or NMTOKENS), the tokens will be concatenated into a single string with each token separated by a single space.

  Specified by:
    `getValue` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The attribute's value as a string, or null if the index is out of range.
  See Also:
    `XMLAttributes.getLength()`

### getValue

    public java.lang.String getValue(java.lang.String qName)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an attribute's value by XML 1.0 qualified name.

  See `getValue(int)` for a description of the possible values.

  Specified by:
    `getValue` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `qName` - The XML 1.0 qualified name.
  Returns:
    The attribute value as a string, or null if the attribute is not in the list or if qualified names are not available.

### getValue

    public java.lang.String getValue(java.lang.String uri,
                                     java.lang.String localName)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an attribute's value by Namespace name.

  See `getValue(int)` for a description of the possible values.

  Specified by:
    `getValue` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `uri` - The Namespace URI, or the empty String if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute value as a string, or null if the attribute is not in the list.

### setNonNormalizedValue

    public void setNonNormalizedValue(int attrIndex,
                                      java.lang.String attrValue)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Sets the non-normalized value of the attribute at the specified index.
  Specified by:
    `setNonNormalizedValue` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `attrValue` - The new non-normalized attribute value.

### getNonNormalizedValue

    public java.lang.String getNonNormalizedValue(int attrIndex)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Returns the non-normalized value of the attribute at the specified index. If no non-normalized value is set, this method will return the same value as the `getValue(int)` method.
  Specified by:
    `getNonNormalizedValue` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.

### setSpecified

    public void setSpecified(int attrIndex,
                             boolean specified)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Sets whether an attribute is specified in the instance document or not.
  Specified by:
    `setSpecified` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `specified` - True if the attribute is specified in the instance document.

### isSpecified

    public boolean isSpecified(int attrIndex)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Returns true if the attribute is specified in the instance document.
  Specified by:
    `isSpecified` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.

### getAugmentations

    public org.apache.xerces.xni.Augmentations getAugmentations(int attributeIndex)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an augmentation by attribute's index.
  Specified by:
    `getAugmentations` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attributeIndex` - The attribute index.
  Returns:
    Augmentations

### getAugmentations

    public org.apache.xerces.xni.Augmentations getAugmentations(java.lang.String uri,
                                                                java.lang.String localPart)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an augmentation by namespace name.
  Specified by:
    `getAugmentations` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `uri` - The Namespace URI, or the empty string if the name has no Namespace URI.
    `localPart` -
  Returns:
    Augmentations

### getAugmentations

    public org.apache.xerces.xni.Augmentations getAugmentations(java.lang.String qName)

  Description copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Look up an augmentation by XML 1.0 qualified name.

  Specified by:
    `getAugmentations` in interface `org.apache.xerces.xni.XMLAttributes`
  Following copied from interface: `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `qName` - The XML 1.0 qualified name.
  Returns:
    Augmentations

### setAugmentations

    public void setAugmentations(int attrIndex,
                                 org.apache.xerces.xni.Augmentations augs)

  Sets the augmentations of the attribute at the specified index.
  Specified by:
    `setAugmentations` in interface `org.apache.xerces.xni.XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `augs` - The augmentations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.